searchData={"items":[{"type":"module","title":"DesignSystem","doc":"","ref":"DesignSystem.html"},{"type":"function","title":"DesignSystem.button/1","doc":"Componente de botão, que representa uma ação na plataforma.\n\nEsse componente possui 2 variantes:\n\n- Primário\n- Secundário\n\nque é controlado pelo atributo `style`.\n\nEsse componente també pode ter um ícone em conjunto com o texto,\nbasta informar o nome do ícone da biblioteca [lucide](https://lucide.dev),\nem minúsculo (veja o exemplo abaixo).\n\nCaso o componente esteja dentro de um formulário, passe o atributo `submit`,\ndesta forma o botão irá ser acionado assim que o formua'ário tiver seu\npreenchimento finalizado.","ref":"DesignSystem.html#button/1"},{"type":"function","title":"Exemplo - DesignSystem.button/1","doc":"<.button style=\"primary\"> Primário </.button>\n\n    <.button style=\"secondary\"> Secundário </.button>\n\n    <.button style=\"primary\" submit> Submissão </.button>","ref":"DesignSystem.html#button/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.button/1","doc":"* `style` (`:string`) (required) - Must be one of `\"primary\"`, `\"secondary\"`, or `\"link\"`.\n* `submit` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `\"\"`.\n* `click` (`:string`) - the click event to handle. Defaults to `\"\"`.\n* Global attributes are accepted. used for phoenix events like \"phx-target\".","ref":"DesignSystem.html#button/1-attributes"},{"type":"function","title":"Slots - DesignSystem.button/1","doc":"* `inner_block`","ref":"DesignSystem.html#button/1-slots"},{"type":"function","title":"DesignSystem.checkbox/1","doc":"Componente de checkbox, usado para representar valores que podem\nter um valor ambíguo.\n\nO mesmo obrigatoriamente recebe o atributos `label`, que representa a etiqueta,\no texto nome do campo em questão que é um checkbox.\n\nTambém é possível controlar dinamicamente se o componente será desabilitado\nou se o valor do checkbox será \"assinado\" com atributos `disabled` e\n`checked` respectivamente.","ref":"DesignSystem.html#checkbox/1"},{"type":"function","title":"Exemplo - DesignSystem.checkbox/1","doc":"<.checkbox id=\"send-emails\" label=\"Deseja receber nossos emails?\" checked />","ref":"DesignSystem.html#checkbox/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.checkbox/1","doc":"* `id` (`:string`)\n* `checked` (`:boolean`) - Defaults to `false`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `label` (`:string`) - Defaults to `\"\"`.\n* `field` (`Phoenix.HTML.FormField`)\n* `name` (`:string`)\n* `required` (`:boolean`) - Defaults to `false`.","ref":"DesignSystem.html#checkbox/1-attributes"},{"type":"function","title":"DesignSystem.flash/1","doc":"Renders flash notices.","ref":"DesignSystem.html#flash/1"},{"type":"function","title":"Examples - DesignSystem.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"DesignSystem.html#flash/1-examples"},{"type":"function","title":"Attributes - DesignSystem.flash/1","doc":"* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash\"`.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `visible` (`:boolean`) - Defaults to `true`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:success`, `:warning`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"DesignSystem.html#flash/1-attributes"},{"type":"function","title":"Slots - DesignSystem.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"DesignSystem.html#flash/1-slots"},{"type":"function","title":"DesignSystem.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"DesignSystem.html#flash_group/1"},{"type":"function","title":"Examples - DesignSystem.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"DesignSystem.html#flash_group/1-examples"},{"type":"function","title":"Attributes - DesignSystem.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.","ref":"DesignSystem.html#flash_group/1-attributes"},{"type":"function","title":"DesignSystem.footer/1","doc":"Um componente de rodapé para a plataforma, expondo os logos\ndos apoiadores e empresas parceiras.\n\nÉ um componente estático, sem atributos, sem estado.","ref":"DesignSystem.html#footer/1"},{"type":"function","title":"DesignSystem.hide/2","doc":"","ref":"DesignSystem.html#hide/2"},{"type":"function","title":"DesignSystem.link/1","doc":"Componente para criar links, que direcionam o usuário para outras\npáginas internas da aplicação ou páginas externas de outras aplicações.\n\nRecebe os mesmos atributos do componente nativo `Phoenix.Component.link/1`:\n\n- `navigate`: redireciona a pessoa usuária, sem recarregar a página\n- `patch`: redireciona a pessoa usuária para a mesma página, com parâmetros diferentes\n- `href`: redireciona a pessoa usuária para outra página, interna ou externa da aplicação,\nrecarregando a página atual.\n\nAlém desses atributos esse componente precisa de uma `label`, que será o texto\nexibido ao renderizar o link e também aceita um atributo opcional que controla\no tamanho da fonte do texto renderizado. Os possíveis valores são os mesmos que\no componente de texto definido em `PescarteWeb.DesignSystem.text/1`.","ref":"DesignSystem.html#link/1"},{"type":"function","title":"Exemplo - DesignSystem.link/1","doc":"<.link navigate={~p\"/app/perfil\"}>Ir para Perfil</.link>\n\n    <.link href=\"https://google.com\" text_size=\"lg\">Google.com</.link>\n\n    <.link patch={~p\"/app/relatorios\"} text_size=\"lg\">Recarregar lista de relatórios</.link>","ref":"DesignSystem.html#link/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.link/1","doc":"* `navigate` (`:string`) - Defaults to `nil`.\n* `patch` (`:string`) - Defaults to `nil`.\n* `href` (`:string`) - Defaults to `nil`.\n* `method` (`:string`) - Defaults to `\"get\"`.\n* `styless` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"DesignSystem.html#link/1-attributes"},{"type":"function","title":"Slots - DesignSystem.link/1","doc":"* `inner_block`","ref":"DesignSystem.html#link/1-slots"},{"type":"function","title":"DesignSystem.radio/1","doc":"Componente de radio, usado para representar valores que podem\nter um valor ambíguo.\n\nO mesmo obrigatoriamente recebe o atributos `label`, que representa a etiqueta,\no texto nome do campo em questão que é um radio.\n\nTambém é possível controlar dinamicamente se o componente será desabilitado\nou se o valor do radio será \"assinado\" com atributos `disabled` e\n`checked` respectivamente.","ref":"DesignSystem.html#radio/1"},{"type":"function","title":"Exemplo - DesignSystem.radio/1","doc":"<.checkbox id=\"send-emails\" label=\"Deseja receber nossos emails?\" checked />","ref":"DesignSystem.html#radio/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.radio/1","doc":"* `id` (`:string`) (required)\n* `name` (`:string`)\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `checked` (`:boolean`) - Defaults to `false`.\n* `field` (`Phoenix.HTML.FormField`)","ref":"DesignSystem.html#radio/1-attributes"},{"type":"function","title":"Slots - DesignSystem.radio/1","doc":"* `label` (required)","ref":"DesignSystem.html#radio/1-slots"},{"type":"function","title":"DesignSystem.show/2","doc":"","ref":"DesignSystem.html#show/2"},{"type":"function","title":"DesignSystem.simple_form/1","doc":"Renderiza um formulário simples.","ref":"DesignSystem.html#simple_form/1"},{"type":"function","title":"Exemplos - DesignSystem.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"DesignSystem.html#simple_form/1-exemplos"},{"type":"function","title":"Attributes - DesignSystem.simple_form/1","doc":"* `for` (`:any`) (required) - the datastructure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"DesignSystem.html#simple_form/1-attributes"},{"type":"function","title":"Slots - DesignSystem.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"DesignSystem.html#simple_form/1-slots"},{"type":"function","title":"DesignSystem.text/1","doc":"Este componente renderiza um texto, porém com os estilos\ndo espaçamento de linha e tamanho de fonte já pré-configurados.\n\nTambém recebe um atributo chamado `color`, que é uma classe do TailwindCSS\nque representa uma cor específica da paleta que o Design System define.\n\nCaso o atributo `color` não seja fornecido, a cor padrão - `black-80` -\nserá utilizada.\n\nPara ver as cores disponívels, execute o comando `mix tailwind.view`.\n\nVocê pode prover classes adicionais para estilização, com o atributo\nopcional `class`, que recebe uma string.","ref":"DesignSystem.html#text/1"},{"type":"function","title":"Exemplo - DesignSystem.text/1","doc":"<.text size=\"h1\"> Lorem ipsum dolor sit amet </.text>","ref":"DesignSystem.html#text/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.text/1","doc":"* `size` (`:string`) (required) - Must be one of `\"h1\"`, `\"h2\"`, `\"h3\"`, `\"h4\"`, `\"h5\"`, `\"base\"`, `\"lg\"`, or `\"sm\"`.\n* `color` (`:string`) - Defaults to `\"text-black-80\"`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"DesignSystem.html#text/1-attributes"},{"type":"function","title":"Slots - DesignSystem.text/1","doc":"* `inner_block`","ref":"DesignSystem.html#text/1-slots"},{"type":"function","title":"DesignSystem.text_area/1","doc":"","ref":"DesignSystem.html#text_area/1"},{"type":"function","title":"Attributes - DesignSystem.text_area/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `name` (`:string`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `placeholder` (`:string`) - Defaults to `\"\"`.\n* `value` (`:string`) - Defaults to `\"\"`.\n* `valid` (`:boolean`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"DesignSystem.html#text_area/1-attributes"},{"type":"function","title":"Slots - DesignSystem.text_area/1","doc":"* `label`","ref":"DesignSystem.html#text_area/1-slots"},{"type":"function","title":"DesignSystem.text_input/1","doc":"Um componente de input de texto, para receber entradas da pessoa\nusuária.\n\nO mesmo recebe obrigatoriamente os atributos `name` e `label`,\npara que seja possível o formulário que usar este componente\ndirecionar corretamente o dado da entrada da pessoa usuária, e a\netiqueta para ficar visivel sobre o que se trata o input em questão.\n\nOpcionalmente o componente também recebe o atributo `mask`, que controla\no formato do texto que será escrito. Por exemplo um documento CPF tem o\nformato \"111.111.111-11\".\n\nAlém disso é possível definir um texto de ajuda que será colocado \"dentro\"\ndo componte, com o atributo `placeholder`.\n\nCaso queira dar um valor inicial para o componente, use o atributo `value`!","ref":"DesignSystem.html#text_input/1"},{"type":"function","title":"Exemplo - DesignSystem.text_input/1","doc":"<.text_input name=\"cpf\" mask=\"999.999.999-99\" label=\"CPF\" />\n\n    <.text_input name=\"password\" label=\"Senha\" type=\"password\" />","ref":"DesignSystem.html#text_input/1-exemplo"},{"type":"function","title":"Attributes - DesignSystem.text_input/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `placeholder` (`:string`) - Defaults to `\"\"`.\n* `value` (`:string`)\n* `mask` (`:string`) - Defaults to `nil`.\n* `valid` (`:boolean`) - Defaults to `nil`.\n* `label` (`:string`) - Defaults to `nil`.\n* `field` (`Phoenix.HTML.FormField`)\n* `name` (`:string`)\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"disabled\", \"pattern\", \"placeholder\", \"readonly\", \"required\"]`.","ref":"DesignSystem.html#text_input/1-attributes"},{"type":"module","title":"DesignSystem.AutoHideFlash","doc":"","ref":"DesignSystem.AutoHideFlash.html"},{"type":"function","title":"DesignSystem.AutoHideFlash.on_mount/4","doc":"","ref":"DesignSystem.AutoHideFlash.html#on_mount/4"},{"type":"module","title":"DesignSystemWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.\n\nThis can be used in your application as:\n\n    use DesignSystemWeb, :controller\n    use DesignSystemWeb, :html\n\nThe definitions below will be executed for every controller,\ncomponent, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define additional modules and import\nthose modules here.","ref":"DesignSystemWeb.html"},{"type":"macro","title":"DesignSystemWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/live_view/etc.","ref":"DesignSystemWeb.html#__using__/1"},{"type":"function","title":"DesignSystemWeb.channel/0","doc":"","ref":"DesignSystemWeb.html#channel/0"},{"type":"function","title":"DesignSystemWeb.controller/0","doc":"","ref":"DesignSystemWeb.html#controller/0"},{"type":"function","title":"DesignSystemWeb.html/0","doc":"","ref":"DesignSystemWeb.html#html/0"},{"type":"function","title":"DesignSystemWeb.live_component/0","doc":"","ref":"DesignSystemWeb.html#live_component/0"},{"type":"function","title":"DesignSystemWeb.live_view/0","doc":"","ref":"DesignSystemWeb.html#live_view/0"},{"type":"function","title":"DesignSystemWeb.router/0","doc":"","ref":"DesignSystemWeb.html#router/0"},{"type":"function","title":"DesignSystemWeb.static_paths/0","doc":"","ref":"DesignSystemWeb.html#static_paths/0"},{"type":"function","title":"DesignSystemWeb.verified_routes/0","doc":"","ref":"DesignSystemWeb.html#verified_routes/0"},{"type":"module","title":"DesignSystemWeb.Endpoint","doc":"","ref":"DesignSystemWeb.Endpoint.html"},{"type":"function","title":"DesignSystemWeb.Endpoint.broadcast/3","doc":"","ref":"DesignSystemWeb.Endpoint.html#broadcast/3"},{"type":"function","title":"DesignSystemWeb.Endpoint.broadcast!/3","doc":"","ref":"DesignSystemWeb.Endpoint.html#broadcast!/3"},{"type":"function","title":"DesignSystemWeb.Endpoint.broadcast_from/4","doc":"","ref":"DesignSystemWeb.Endpoint.html#broadcast_from/4"},{"type":"function","title":"DesignSystemWeb.Endpoint.broadcast_from!/4","doc":"","ref":"DesignSystemWeb.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"DesignSystemWeb.Endpoint.call/2","doc":"","ref":"DesignSystemWeb.Endpoint.html#call/2"},{"type":"function","title":"DesignSystemWeb.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"DesignSystemWeb.Endpoint.html#child_spec/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"DesignSystemWeb.Endpoint.html#config/2"},{"type":"function","title":"DesignSystemWeb.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"DesignSystemWeb.Endpoint.html#config_change/2"},{"type":"function","title":"DesignSystemWeb.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"DesignSystemWeb.Endpoint.html#host/0"},{"type":"function","title":"DesignSystemWeb.Endpoint.init/1","doc":"","ref":"DesignSystemWeb.Endpoint.html#init/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.local_broadcast/3","doc":"","ref":"DesignSystemWeb.Endpoint.html#local_broadcast/3"},{"type":"function","title":"DesignSystemWeb.Endpoint.local_broadcast_from/4","doc":"","ref":"DesignSystemWeb.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"DesignSystemWeb.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"DesignSystemWeb.Endpoint.html#path/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.script_name/0","doc":"Generates the script name.","ref":"DesignSystemWeb.Endpoint.html#script_name/0"},{"type":"function","title":"DesignSystemWeb.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"DesignSystemWeb.Endpoint.html#server_info/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"DesignSystemWeb.Endpoint.html#start_link/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"DesignSystemWeb.Endpoint.html#static_integrity/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"DesignSystemWeb.Endpoint.html#static_lookup/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"DesignSystemWeb.Endpoint.html#static_path/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"DesignSystemWeb.Endpoint.html#static_url/0"},{"type":"function","title":"DesignSystemWeb.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"DesignSystemWeb.Endpoint.html#struct_url/0"},{"type":"function","title":"DesignSystemWeb.Endpoint.subscribe/2","doc":"","ref":"DesignSystemWeb.Endpoint.html#subscribe/2"},{"type":"function","title":"DesignSystemWeb.Endpoint.unsubscribe/1","doc":"","ref":"DesignSystemWeb.Endpoint.html#unsubscribe/1"},{"type":"function","title":"DesignSystemWeb.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"DesignSystemWeb.Endpoint.html#url/0"},{"type":"module","title":"DesignSystemWeb.ErrorHTML","doc":"","ref":"DesignSystemWeb.ErrorHTML.html"},{"type":"function","title":"DesignSystemWeb.ErrorHTML.404/1","doc":"","ref":"DesignSystemWeb.ErrorHTML.html#404/1"},{"type":"function","title":"DesignSystemWeb.ErrorHTML.500/1","doc":"","ref":"DesignSystemWeb.ErrorHTML.html#500/1"},{"type":"function","title":"DesignSystemWeb.ErrorHTML.template_not_found/2","doc":"","ref":"DesignSystemWeb.ErrorHTML.html#template_not_found/2"},{"type":"module","title":"DesignSystemWeb.Layouts","doc":"This module holds different layouts used by your application.\n\nSee the `layouts` directory for all templates available.\nThe \"root\" layout is a skeleton rendered as part of the\napplication router. The \"app\" layout is set as the default\nlayout on both `use DesignSystemWeb, :controller` and\n`use DesignSystemWeb, :live_view`.","ref":"DesignSystemWeb.Layouts.html"},{"type":"function","title":"DesignSystemWeb.Layouts.app/1","doc":"","ref":"DesignSystemWeb.Layouts.html#app/1"},{"type":"function","title":"DesignSystemWeb.Layouts.root/1","doc":"","ref":"DesignSystemWeb.Layouts.html#root/1"},{"type":"module","title":"DesignSystemWeb.Router","doc":"","ref":"DesignSystemWeb.Router.html"},{"type":"function","title":"DesignSystemWeb.Router.api/2","doc":"","ref":"DesignSystemWeb.Router.html#api/2"},{"type":"function","title":"DesignSystemWeb.Router.browser/2","doc":"","ref":"DesignSystemWeb.Router.html#browser/2"},{"type":"function","title":"DesignSystemWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"DesignSystemWeb.Router.html#call/2"},{"type":"function","title":"DesignSystemWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"DesignSystemWeb.Router.html#init/1"},{"type":"function","title":"DesignSystemWeb.Router.storybook_assets/2","doc":"","ref":"DesignSystemWeb.Router.html#storybook_assets/2"},{"type":"function","title":"DesignSystemWeb.Router.storybook_browser/2","doc":"","ref":"DesignSystemWeb.Router.html#storybook_browser/2"},{"type":"module","title":"DesignSystemWeb.Storybook","doc":"","ref":"DesignSystemWeb.Storybook.html"},{"type":"function","title":"DesignSystemWeb.Storybook.load_story/1","doc":"","ref":"DesignSystemWeb.Storybook.html#load_story/1"},{"type":"module","title":"Storybook.Root","doc":"","ref":"Storybook.Root.html"},{"type":"extras","title":"Pescarte DesignSystem","doc":"# Pescarte DesignSystem","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}